
<template>
  <div class="login-container d-flex justify-content-center align-items-center">
    <div class="card">
      <div class="card-body">
        <h2 class="text-center">Login</h2>
        <form @submit.prevent="loginUser">
          <div class="form-group">
            <label for="email">Email:</label>
            <input type="email" id="email" v-model="email" class="form-control" required>
          </div>
          <div class="form-group">
            <label for="password">Password:</label>
            <input type="password" id="password" v-model="password" class="form-control" required>
          </div>
          <button type="submit" class="btn btn-primary btn-block">Login</button>
        </form>
        <p v-if="message" class="text-center mt-3">{{ message }}</p>
      </div>
    </div>
  </div>
</template>
  
<script>
import { mapActions } from 'vuex';
import axios from '../../../axios'; // Import your Axios configuration

export default {
  data() {
    return {
      email: '',
      password: '',
      message: '',
    };
  },
  methods: {
    ...mapActions(['login']), // Map the login action
    async loginUser() {
      try {
        // Your login logic here
        const response = await axios.post('/login/', {
          email: this.email,
          password: this.password,
        });

        if (response.status === 200) {
          const { access, user } = response.data; // Assuming your API response contains the access token and user data
          this.login({ accessToken: access, user }); // Dispatch the login action

          // Redirect to the desired page (e.g., dashboard)
          this.$router.push('/landingpage');
        } else {
          // Handle other status codes or unexpected responses
          this.message = 'Login failed. Please try again later.';
        }
      } catch (error) {
        // Handle login error here
        if (error.response) {
          // Server responded with an error status code
          this.message = 'Login failed: ' + error.response.data.detail;
        } else {
          // Network error or other unexpected error
          this.message = 'Login failed. Please check your input and try again.';
          console.error(error);
        }
      }
    },
  },
};
</script>

<style scoped>
.login-container {
min-height: 100vh;
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
padding-top: 20px; /* Add padding to the top */
}


.card {
width: 600px; /* Adjust the width as needed */
}





.footer {
background-color: #f8f9fa;
}
</style>
  